Summary: PLP Printing Package
Name: plp
Version: 4.0.3
Release: 4
Copyright: complicated
Group: Utilities/System
Source: plp.iona.ie:/pub/plp/plp-lpd-4.0.3.tar.gz
Source1: lpd.init
Patch: plp-4.0.3-patch
BuildRoot: /tmp/plp-root
%description
PLP is a updated and improved version of the standard UNIX lpr printing
system. It features enhanced accounting and security, and backwards
compatibility.

%prep
%setup
%patch

%build
cd src
./configure --prefix=/usr
make SHN_CFLAGS=-DSHORTHOSTNAME READLINE_LIBRARY=-lreadline READLINE_CFLAGS="-DREADLINE -I/usr/include/readline"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin \
 $RPM_BUILD_ROOT/etc/rc.d/init.d \
 $RPM_BUILD_ROOT/usr/bin \
 $RPM_BUILD_ROOT/usr/man/man1 \
 $RPM_BUILD_ROOT/usr/man/man5 \
 $RPM_BUILD_ROOT/usr/man/man8 \
 $RPM_BUILD_ROOT/usr/man/man3

cd src
make INSTALL_BIN=$RPM_BUILD_ROOT/usr/bin \
INSTALL_LIB=$RPM_BUILD_ROOT/usr/sbin \
INSTALL_MAINT=$RPM_BUILD_ROOT/usr/bin \
INSTALL_MAN=$RPM_BUILD_ROOT/usr/man install install.man

strip $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/sbin/* ||:
cd ..
install -m 644 -o root -g root plp.conf $RPM_BUILD_ROOT/etc/plp.conf
install -m 644 -o root -g root printer_perms $RPM_BUILD_ROOT/etc/printer_perms

install -m755 $RPM_SOURCE_DIR/lpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/lpd.init
for I in 2 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/lpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S90lpd
done
for I in 0 1 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/lpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K40lpd
done

cat > $RPM_BUILD_ROOT/etc/printcap <<EOF
# /etc/printcap
#
# Please don't edit this file directly unless you know what you are doing!
# Be warned that the control-panel printtool requires a very strict
format!
# Look at the printcap(5) man page for more info.
#
# This file can be edited with the printtool in the control-panel.

EOF
chmod 644 $RPM_BUILD_ROOT/etc/printcap
%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "`hostname -f`		*	*	*		R	A	0	0" >> /etc/printer_perms
/usr/bin/checkpc -f > /dev/null 2>&1

%files
%doc FEATURES HINTS README LICENSE
%doc doc/%-escapes doc/README.lp-pipes doc/plp.xpm
%doc doc/PLP/manual.ps doc/PLP/manual.rtf doc/PLP/manual.txt
%config /etc/printcap
%config /etc/plp.conf
%config /etc/printer_perms
%config /etc/rc.d/init.d/lpd.init
/etc/rc.d/rc2.d/S90lpd
/etc/rc.d/rc3.d/S90lpd
/etc/rc.d/rc5.d/S90lpd
/etc/rc.d/rc0.d/K40lpd
/etc/rc.d/rc1.d/K40lpd
/etc/rc.d/rc6.d/K40lpd
/usr/sbin/lpd
/usr/bin/lpr
/usr/bin/lpq
/usr/bin/lprm
/usr/bin/lpc
/usr/bin/pac
/usr/bin/checkpc
/usr/bin/setstatus
/usr/bin/printers
/usr/bin/lp
/usr/bin/lpstat
/usr/man/man1/lpc.1
/usr/man/man1/lpq.1
/usr/man/man1/lpr.1
/usr/man/man1/lprm.1
/usr/man/man5/printcap.5
/usr/man/man8/checkpc.8
/usr/man/man8/lpd.8
/usr/man/man8/pac.8
/usr/man/man8/setstatus.8
